Open SSL 이슈관련 아래의 내용 확인해주시고 적용 하는것을 권장 드립니다.

OpenSSL 1.1.1~1.1.1j 버젼들에서, 악의적인 사용자가 해당 버젼을 사용하는 서버에 장애를 유발할 수 있습니다. 간단히 서비스를 다운시킬 수 있는 것입니다.

구형 라이브러리를 사용하고 있는 아파치를 대상으로 실험을 해 보았습니다. 아래와 같이 worker에서 바로 SegFault가 발생해요.

[Tue Mar 30 23:16:30.385180 2021] [ssl:error] [pid 20279:tid 140060060911360] [client 172.16.202.30:33310] AH02042: rejecting client initiated renegotiation
[Tue Mar 30 23:16:30.854908 2021] [core:notice] [pid 20276:tid 140060356237120] AH00052: child pid 20279 exit signal Segmentation fault (11)

해당 취약점이 CVE-2021-3449에 발표되었으므로, OpenSSL 1.1.1j 라이브러리 이하를 이용한 production 사이트를 운영하시는 분들은 1.1.1k를 사용하도록 업데이트를 하시는 것을 권합니다.

An OpenSSL TLS server may crash if sent a maliciously crafted renegotiation ClientHello message from a client.

OpenSSL 1.0.2 is not impacted by this issue. Fixed in OpenSSL 1.1.1k (Affected 1.1.1-1.1.1j).

아래 URL에서부터 좀더 자세한 내용을 확인할수있습니다.

영문 사이트이오니 chrome에서 자동번역기능 사용해보시면 되겠습니다.

https://cve.mitre.org/cgi-bin/cvename.cgi?name=2021-3449


서버 신청은 홈페이지통해 확인 부탁드려요

출처 URL : https://www.clien.net/service/board/lecture/16015679?od=T31&po=0&category=0&groupCd=